%define module_name EveOnline-SSO
# BEGIN SourceDeps(oneline):
BuildRequires: perl(HTTP/Request.pm) perl(JSON/XS.pm) perl(LWP/Socket.pm) perl(LWP/UserAgent.pm) perl(MIME/Base64.pm) perl(Modern/Perl.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Storable.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(URI/URL.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Module for Single Sign On in EveOnline API-services.
Group: Development/Perl
License: perl
URL: https://github.com/Chipsoid/EveOnline-SSO

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CH/CHIPSOID/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
EveOnline::SSO is a perl module for get auth in https://eveonline.com through Single Sign-On (OAuth) interface.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes
%perl_vendor_privlib/E*

%changelog
* Fri Dec 29 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Fri Mar 24 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

